com.ibm.openpages.api.process

## Interface IProcessType

-     public interface IProcessType

  Represents elements of a long running process type.
  Since:
    7.4.0.0
  Category:
    Process

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getDefaultTimeSeconds()` Returns the default time seconds of the process type.
    `java.lang.String` | `getDescription()` Returns the description of the process type.
    `java.lang.String` | `getName()` Returns the name of the process type.
    `Id` | `getProcessTypeId()` Returns the id of the process type.
    `boolean` | `isMultipleInstance()` Returns if there can be multiple processes of this process type running at a point-of-time.
    `boolean` | `isTerminateUponStart()` Returns if non-completed processes of this type should be terminated upon system startup.

- - ### Method Detail

    - #### getProcessTypeId

          Id getProcessTypeId()

      Returns the id of the process type.
      Returns:
        the id of the process type

    - #### getName

          java.lang.String getName()

      Returns the name of the process type.
      Returns:
        the name of the process type

    - #### getDescription

          java.lang.String getDescription()

      Returns the description of the process type.
      Returns:
        the description of the process type

    - #### getDefaultTimeSeconds

          int getDefaultTimeSeconds()

      Returns the default time seconds of the process type.
      Returns:
        the default time seconds of the process type

    - #### isMultipleInstance

          boolean isMultipleInstance()

      Returns if there can be multiple processes of this process type running at a point-of-time.
      Returns:
        true if there can be multiple processes of this process type running at a point-of-time, otherwise false

    - #### isTerminateUponStart

          boolean isTerminateUponStart()

      Returns if non-completed processes of this type should be terminated upon system startup.
      Returns:
        true if non-completed processes of this type should be terminated upon system startup, otherwise false

Licensed Materials - Property of IBM
OpenPages with Watson (PID: 5725-D51)
© Copyright IBM Corporation 2013, 2021. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.